android地图服务问题

0 投票
在测试机上装上软件,软件内容就是打开一幅地图,却闪退,报错so库和jar包版本不匹配,我的jar包和so库都是一致的
3月 7, 2017 分类:  475次浏览 | 用户: 大浴室 才疏学浅 (12 分)

1个回答

0 投票
 
已采纳
1、在Android studio中添加引用jar包和依赖库后需要选中引用的jar包右键->add as library,然后在moudule文件夹右键->Make Module 'app',确保在module里的build.gradle里添加dependencies来实现jar的依赖,并删除不一致的版本;

2、如果测试机是模拟器的CPU选ARM,不要选X86;

3、如果测试机运行过这个工程,卸载了重新运行;

4、保证许可正常。
3月 7, 2017 用户: 王国新 名扬四海 (1,907 分)
采纳于 5月 15, 2017 用户:大浴室
dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:25.2.0'
    compile 'com.android.support.constraint:constraint-layout:1.0.1'
    testCompile 'junit:junit:4.12'
    compile files('libs/com.supermap.analyst_v811.jar')
    compile files('libs/com.supermap.charts_v811.jar')
    compile files('libs/com.supermap.data_v811.jar')
    compile files('libs/com.supermap.mapping_v811.jar')
    compile files('libs/com.supermap.mdatacollector_v811.jar')
    compile files('libs/com.supermap.messagequeue_v811.jar')
    compile files('libs/com.supermap.navigation_v811.jar')
    compile files('libs/com.supermap.plot_v811.jar')
    compile files('libs/com.supermap.realspace_v811.jar')
    compile files('libs/com.supermap.services_v811.jar')
    compile files('libs/com.supermap.track_v811.jar')
}
这是在build.gradle 里的depengencies,代码什么的都是照着帮助文档来写的,许可是昨天才申请好的,
用的版本是8c,
请问这是哪里出问题了?

可以从以下方法排查:

1、libs中添加的引用jar包和so依赖库是否添加了;

2、在Module的build.gradle里加上jni的sourceSets配置:jniLibs.srcDirs = ['libs'],代码:

sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
...